<!DOCTYPE html>
<html>
	<head> 
		<title>Jakob Hostnik</title>
		<link rel="icon" type="image/png" href="images/favicon.png">
		<meta http-equiv="Content-Type" content="text/html; charset=UTF-8">
		<meta name="viewport" content="width=device-width, initial-scale=1">
		<link rel="stylesheet" href="./styles/w3.css">
		<link href="https://fonts.googleapis.com/css?family=Roboto">
		<link href="https://fonts.googleapis.com/icon?family=Material+Icons" rel="stylesheet">
		<link href="styles/MaterialDesignIcons/css/materialdesignicons.min.css" media="all" rel="stylesheet" type="text/css" />
		<link href="LightBox/lightbox.css" rel="stylesheet">
		<script src="LightBox/lightbox.js"></script>
		<style>
			.companyImage{width:30px; margin:3px 10px 0 0;opacity:2!important;}
			.iconTile,.lightbox img{width:185px}
			.iconTile,.lightbox{height:120px;overflow:hidden}
			body,h1,h2,h3,h4,h5,h6,html{font-family:Roboto,sans-serif}
			footer a{text-decoration:none}
			.lightbox{display:inline-block;border-radius:5px;border:1px solid #BDBDBD}
			.iconTile{font-size:8em;text-align:center;border:1px solid #BDBDBD;border-radius:5px}
			.iconTile.explore:hover{color:#00008b}
			.iconTile.pdf:hover{color:#8b0000}
			h2{text-transform:uppercase;font-size:25px;vertical-align:middle!important}
			i.material-icons{vertical-align:top!important}
			.w3-teal{padding:0}
			.outer-testdome-certificate-stamp{position:relative;display:inline-block;width:185px;height:120px;margin:1px;padding-top:40px;padding-left:30px;padding-right:5px;font-weight:700;border:3px solid transparent;text-align:center;text-decoration:none}
			.testdome-certificate-stamp{font-weight:400;position:absolute!important;top:0;left:0;display:inline-block!important;margin:0;overflow:hidden;white-space:nowrap;animation-duration:1s;animation-name:slideright;animation-fill-mode:forwards;border-top-left-radius:10px;border-bottom-left-radius:10px}
			.outer-testdome-certificate-stamp:hover .testdome-certificate-stamp{animation-duration:1s;animation-name:slideleft;animation-fill-mode:forwards}
			@keyframes slideright{from{width:0;} to{width:185px;}}
			@keyframes slideleft{from{width:185;} to{width:0;}}
			
		</style>
		<!--  google-analytics -->
		<script>
  			(function(i,s,o,g,r,a,m){i['GoogleAnalyticsObject']=r;i[r]=i[r]||function(){
  			(i[r].q=i[r].q||[]).push(arguments)},i[r].l=1*new Date();a=s.createElement(o),
  			m=s.getElementsByTagName(o)[0];a.async=1;a.src=g;m.parentNode.insertBefore(a,m)
  			})(window,document,'script','https://www.google-analytics.com/analytics.js','ga');

  			ga('create', 'UA-96843133-1', 'auto');
  			ga('send', 'pageview');
		</script>
		<script>
			function addEventListenersForThumbnails() {
			    var lbs = document.querySelectorAll(".lightbox img");
			    for (let i = 0; i < lbs.length; i++) {
			        lbs[i].addEventListener("mouseover", function(e) {
			            e.target.src = e.target.getAttribute("src").slice(0, -10) + ".jpg";
			        });
			        lbs[i].addEventListener("mouseout", function(e) {
			            e.target.src = e.target.getAttribute("src").slice(0, -4) + "_black.jpg";
			        });
			    }
			}
			//lightbox
			document.addEventListener("DOMContentLoaded", function() {
			    var init = new lightBox();
			    addEventListenersForThumbnails();
			});
		</script>
	</head>
	<body class="w3-light-grey">
		<!--  Page Container  -->
		<div class="w3-content w3-margin-top" style="max-width:1400px;">
			<!--  The Grid  -->
			<div class="w3-row-padding">
				<!--  Left Column  -->
				<div class="w3-third w3-padding-large">
					<div class="w3-white w3-text-grey w3-card-24">
						<div class="w3-display-container">
							<img src="./images/avatar.jpg" style="width:100%" alt="Avatar">
							<div class="w3-display-bottomleft w3-container w3-text-white">
								<h2>Jakob Hostnik</h2>
							</div>
						</div>
						<div class="w3-container">
							<p><i class="material-icons w3-margin-right w3-large w3-text-teal">work</i>Software developer</p>
							<p><i class="material-icons w3-margin-right w3-large w3-text-teal">home</i>Šmartno pri Litiji, Slovenia</p>
							<p><i class="material-icons w3-margin-right w3-large w3-text-teal">email</i>jakob.hostnik@gmail.com</p>
							<p><i class="material-icons w3-margin-right w3-large w3-text-teal">contact_phone</i>+386 51 232 527</p>
							<hr>
							<p class="w3-large"><b><i class="material-icons w3-margin-right w3-text-teal">rowing</i>Skills</b>
							</p>
							<p>Java (Play framework, JavaFX, jHipster, Spring)</p>
							<div class="w3-light-grey w3-round-xlarge w3-small">
								<div class="w3-container w3-center w3-round-xlarge w3-teal" style="width:95%">95%</div>
							</div>
							<p>HTML, JavaScript (AngularJS, Angular 5, jQuery), CSS</p>
							<div class="w3-light-grey w3-round-xlarge w3-small">
								<div class="w3-container w3-center w3-round-xlarge w3-teal" style="width:95%">95%</div>
							</div>
							<p>C#, ASP.net (WebForms, MVC, EF, Office plugins)</p>
							<div class="w3-light-grey w3-round-xlarge w3-small">
								<div class="w3-container w3-center w3-round-xlarge w3-teal" style="width:90%">90%</div>
							</div>
							<p>SQL (MySQL, MSSQL, PostgreSQL)</p>
							<div class="w3-light-grey w3-round-xlarge w3-small">
								<div class="w3-container w3-center w3-round-xlarge w3-teal" style="width:90%">90%</div>
							</div>
							<p>Cloud computing (AWS), linux server, Apache2, IOT</p>
							<div class="w3-light-grey w3-round-xlarge w3-small">
								<div class="w3-container w3-center w3-round-xlarge w3-teal" style="width:80%">85%</div>
							</div>
							<p>NoSQL (Cassandra (+KairosDB), GAE database)</p>
							<div class="w3-light-grey w3-round-xlarge w3-small">
								<div class="w3-container w3-center w3-round-xlarge w3-teal" style="width:80%">80%</div>
							</div>
							<p>Embeded systems (C/C++, PLC)</p>
							<div class="w3-light-grey w3-round-xlarge w3-small">
								<div class="w3-container w3-center w3-round-xlarge w3-teal" style="width:80%">80%</div>
							</div>
							<p>PhP (Yii framework)</p>
							<div class="w3-light-grey w3-round-xlarge w3-small">
								<div class="w3-container w3-center w3-round-xlarge w3-teal" style="width:70%">
									<div class="w3-center w3-text-white">70%</div>
								</div>
							</div>
							<p>Photoshop, GIMP, Inkscape</p>
							<div class="w3-light-grey w3-round-xlarge w3-small">
								<div class="w3-container w3-center w3-round-xlarge w3-teal" style="width:55%">55%</div>
							</div>
							<p>Unity</p>
							<div class="w3-light-grey w3-round-xlarge w3-small">
								<div class="w3-container w3-center w3-round-xlarge w3-teal" style="width:10%">10%</div>
							</div>
							<br>
							<p class="w3-large w3-text-theme"><b><i class="material-icons w3-margin-right w3-text-teal">language</i>Languages</b>
							</p>
							<p>Slovene</p>
							<div class="w3-light-grey w3-round-xlarge">
								<div class="w3-round-xlarge w3-teal" style="height:24px;width:100%"></div>
							</div>
							<p>English</p>
							<div class="w3-light-grey w3-round-xlarge">
								<div class="w3-round-xlarge w3-teal" style="height:24px;width:85%"></div>
							</div>
							<p>Croatian</p>
							<div class="w3-light-grey w3-round-xlarge">
								<div class="w3-round-xlarge w3-teal" style="height:24px;width:55%"></div>
							</div>
							<p>German</p>
							<div class="w3-light-grey w3-round-xlarge">
								<div class="w3-round-xlarge w3-teal" style="height:24px;width:15%"></div>
							</div>
							<br>
						</div>
					</div>
					<br>
					<!--  End Left Column  -->
				</div>
				<!--  Right Column  -->
				<div class="w3-twothird w3-padding-large">
					<div class="w3-container w3-card-24 w3-white w3-margin-bottom">
						<h2 class="w3-text-grey w3-padding-16"><i class="material-icons w3-margin-right w3-xxlarge w3-text-teal">work</i>Work Experience</h2>
						<div class="w3-container">
							<h5 style="color: rgba(0, 0, 0, .6);"><img class="companyImage" src="images/hpe.png" /><b>Backend + PLC + Frontend / HPE d.o.o.</b></h5>
							<h6 class="w3-text-teal"><i class="material-icons w3-margin-right">date_range</i>Jun 2017 - <span class="w3-tag w3-round">Current</span></h6>
							<p><b>Backend:</b> Java (Play framework, JavaFX, jHipster, Spring), C#</p>
							<p><b>Databases:</b> PostgreSQL, Cassandra, KairosDB (BigData)</p>
							<p><b>Frontend:</b> Html5, jQuery, AngularJS, Angular 5, CSS3 (LESS)</p>
							<p><b>Server management / Cloud:</b> AWS (E2C, IOT, SNS, IAM, ...), Linux server, MQTT (Mosquitto, RabbitMQ)</p> 
							<p><b>Embeded systems:</b> Beckhoff PLC (Structured text), Arduino (C++)</p>
							<hr>
						</div>
						<div class="w3-container">
							<h5 style="color: rgba(0, 0, 0, .6);"><img class="companyImage" src="images/dsegroup.png" /><b>Full stack developer / DSE Group d.o.o.</b></h5>
							<h6 class="w3-text-teal"><i class="material-icons w3-margin-right">date_range</i>Oct 2016</h6>
							<p>PhP (yii framework), PostgreSQL, linux server, Html5, jQuery, CSS3</p>
							<hr>
						</div>
						<div class="w3-container">
							<h5 style="color: rgba(0, 0, 0, .6);"><img class="companyImage" src="images/agitavit.png" /><b>Full stack developer / Agitavit solutions d.o.o.</b></h5>
							<h6 class="w3-text-teal"><i class="material-icons w3-margin-right">date_range</i>Jun 2016 - Aug 2016</h6>
							<p>C# ASP.net (WebForms, MVC5+ Entity Framework 6) HTML5, CSS3, jQuery, MSSQL</p>
							<hr>
						</div>
						<div class="w3-container">
							<h5 style="color: rgba(0, 0, 0, .6);"><img class="companyImage" src="images/agitavit.png" /><b>Full stack developer / Agitavit solutions d.o.o.</b></h5>
							<h6 class="w3-text-teal"><i class="material-icons w3-margin-right">date_range</i>Jul 2015 - Aug 2015</h6>
							<p>C# ASP.net (WebForms, MVC5+ Entity Framework 6) HTML5, CSS3, jQuery, MSSQL</p>
							<hr>
						</div>
					</div>
					<!-- Certificates -->
					<div class="w3-container w3-card-24 w3-white w3-margin-bottom">
						<h2 class="w3-text-grey w3-padding-16"><i class="material-icons w3-margin-right w3-xxlarge w3-text-teal">grade</i>Certificates</h2>
						<div class="w3-container">
							<a target="_blank" href="https://www.testdome.com/cert/wnmi7ybxvm" class="outer-testdome-certificate-stamp">
								Java, ranking in the Top 10%
								<div class="testdome-certificate-stamp gold"><span class="testdome-certificate-name">Jakob Hostnik</span><span class="testdome-certificate-test-name">Java </span><span class="testdome-certificate-card-logo">TestDome<br />Certificate</span></div>
							</a>
							<script type="text/javascript">var stylesheet = "https://www.testdome.com/content/source/stylesheets/embed.css", link = document.createElement("link"); link.href = stylesheet, link.type = "text/css", link.rel = "stylesheet", link.media = "screen,print", document.getElementsByTagName("head")[0].appendChild(link);</script>
							<a target="_blank" href="https://www.testdome.com/cert/6ijpsz24fd" class="outer-testdome-certificate-stamp">
								C#, ranking in the Top 10% 
								<div class="testdome-certificate-stamp gold"><span class="testdome-certificate-name">Jakob Hostnik</span><span class="testdome-certificate-test-name">C# </span><span class="testdome-certificate-card-logo">TestDome<br />Certificate</span></div>
							</a>
							<script type="text/javascript">var stylesheet = "https://www.testdome.com/content/source/stylesheets/embed.css", link = document.createElement("link"); link.href = stylesheet, link.type = "text/css", link.rel = "stylesheet", link.media = "screen,print",document.getElementsByTagName("head")[0].appendChild(link);</script>
						</div>
						<br/>
					</div>
					<!-- Thumbnails are created using this tool http://makethumbnails.com/#options thumbnail size: 185x120 -->
					<!-- Black and white filter is added here https://convertimage.net/online-photo-effects/black-and-white-photo-fx.asp -->
					<!-- Hackathons -->
					<div class="w3-container w3-card-24 w3-white w3-margin-bottom">
						<h2 class="w3-text-grey w3-padding-16"><i class="material-icons w3-margin-right w3-xxlarge w3-text-teal">code</i>Hackathons</h2>
						<div class="w3-container">
							<h5 class="w3-opacity"><b>EESTEC Challange</b></h5>
							<h6 class="w3-text-teal"><i class="material-icons w3-margin-right">date_range</i>2019</h6>
							<p>First reward in Danfoss challange with my coworkers.</p>
							<a target="_blank" class="iconTile material-icons explore" href="http://ec.eestec-lj.org/">explore</a>
							<br/>
							<hr/>
						</div>
					</div>
					<!-- Side projects -->
					<div class="w3-container w3-card-24 w3-white w3-margin-bottom">
						<h2 class="w3-text-grey w3-padding-16"><i class="material-icons w3-margin-right w3-xxlarge w3-text-teal">highlight</i>Side projects</h2>
						<div class="w3-container">
							<h5 class="w3-opacity"><b>Project Ne</b></h5>
							<h6 class="w3-text-teal"><i class="material-icons w3-margin-right">date_range</i>2018</h6>
							<p>A library that helps you simply create arcade game using few lines. Purpose of project Ne is to make children interested in coding.</p>
							<div class="lightbox" data-big="images/ne-code-example.jpg">
								<img src="images/ne-code-example_tn_black.jpg" />
							</div>
							<div class="lightbox" data-big="images/ne-screenshot.jpg">
								<img src="images/ne-screenshot_tn_black.jpg" />
							</div>
							<a target="_blank" class="iconTile material-icons explore" href="https://github.com/jakobhostnik/Ne">explore</a>
							<br/>
							<hr/>
						</div>
						<div class="w3-container">
							<h5 class="w3-opacity"><b>Smart house implementation</b></h5>
							<h6 class="w3-text-teal"><i class="material-icons w3-margin-right">date_range</i>2017</h6>
							<p>Implementation of smarthouse system based on OpenHAB and MQTT protocol. I also integrated voice control in Cortana and Windows 10.</p>
							<div class="lightbox" data-big="images/OpenHAB1.png">
								<img src="images/OpenHAB1_tn_black.jpg" />
							</div>
							<div class="lightbox" data-big="images/OpenHAB2.png">
								<img src="images/OpenHAB2_tn_black.jpg" />
							</div>
							<div class="lightbox" data-big="images/OpenHAB3.jpg">
								<img src="images/OpenHAB3_tn_black.jpg" />
							</div>
							<div class="lightbox" data-big="images/OpenHAB4.png">
								<img src="images/OpenHAB4_tn_black.jpg" />
							</div>
							<a target="_blank" class="iconTile material-icons pdf" href="contents/OpenHAB.pdf">picture_as_pdf</a>
							<a target="_blank" class="iconTile material-icons explore" href="https://github.com/jakobhostnik/SmartWidgets">explore</a>
							<br/>
							<hr/>
						</div>
						<div class="w3-container">
							<h5 class="w3-opacity"><b>Simple snake game framework</b></h5>
							<h6 class="w3-text-teal"><i class="material-icons w3-margin-right explore">date_range</i>2016</h6>
							<p>A simple framework for a snake game in Java.</p>
							<div class="lightbox" data-big="images/snake-game.png">
								<img src="images/snake-game_tn_black.jpg" />
							</div>
							<div class="lightbox" data-big="images/snake-game1.png">
								<img src="images/snake-game1_tn_black.jpg" />
							</div>
							<div class="lightbox" data-big="images/snake-game2.png">
								<img src="images/snake-game2_tn_black.jpg" />
							</div>
							<a target="_blank" class="iconTile material-icons explore" href="https://jakobhostnik.github.io/Snake/">explore</a>
							<br/>
							<hr/>
						</div>
						<div class="w3-container">
							<h5 class="w3-opacity"><b>The labyrinth</b></h5>
							<h6 class="w3-text-teal"><i class="material-icons w3-margin-right">date_range</i>2016</h6>
							<p>My school mate and me created a small wooden labyrinth. You put a small ball in it and controll the labyrinth's slope with the slope of your hand. We even wrote a scientific article for the magazine Svet Elektronike.</p>
							<div class="lightbox" data-big="images/labyrinth1.jpg">
								<img src="images/labyrinth1_tn_black.jpg" />
							</div>
							<div class="lightbox" data-big="images/labyrinth2.jpg">
								<img src="images/labyrinth2_tn_black.jpg" />
							</div>
							<a target="_blank" class="iconTile material-icons explore" href="https://www.svet-el.si/o-reviji/samogradnje/3855-242-51">explore</a>
							<br/>
							<hr/>
						</div>
						<div class="w3-container">
							<h5 class="w3-opacity"><b>Coffee maker</b></h5>
							<h6 class="w3-text-teal"><i class="material-icons w3-margin-right">date_range</i>2016</h6>
							<p>A coffe maker and a seminar paper about it. </p>
							<div class="lightbox" data-big="images/coffeeMaker.jpg">
								<img src="images/coffeeMaker_tn_black.jpg" />
							</div>
							<div class="lightbox" data-big="images/coffeeMaker2.jpg">
								<img src="images/coffeeMaker2_tn_black.jpg" />
							</div>
							<a target="_blank" class="iconTile material-icons pdf" href="contents/KavniAvtomat.pdf">picture_as_pdf</a>
							<br/>
							<hr/>
						</div>
						<div class="w3-container">
							<h5 class="w3-opacity"><b>Slocode forum</b></h5>
							<h6 class="w3-text-teal"><i class="material-icons w3-margin-right explore">date_range</i>2015 - 2016</h6>
							<p>From scratch built a forum using php for learning programming and web technologies.</p>
							<a target="_blank" class="iconTile material-icons explore" href="https://github.com/jakobhostnik/slocode">explore</a>
							<div class="lightbox" data-big="images/slocode1.JPG">
								<img src="images/slocode1_tn_black.jpg" />
							</div>
							<div class="lightbox" data-big="images/slocode2.png">
								<img src="images/slocode2_tn_black.jpg" />
							</div>
							<br/>
							<hr/>
						</div>
						<div class="w3-container">
							<h5 class="w3-opacity"><b>Research paper about online advertising</b></h5>
							<h6 class="w3-text-teal"><i class="material-icons w3-margin-right">date_range</i>2015 - 2016</h6>
							<p>The paper was made with my school mate and was ranked on a national level.</p>
							<br>
							<a target="_blank" class="iconTile material-icons pdf" href="contents/OglasevanjeNaSpletu.pdf">picture_as_pdf</a>
							<br/>
							<hr/>
						</div>
						<div class="w3-container">
							<h5 class="w3-opacity"><b>PlusPage</b></h5>
							<h6 class="w3-text-teal"><i class="material-icons w3-margin-right">date_range</i>2015</h6>
							<p>In the second year of high school PlusPage was created - personal dashboard page, which was similar to dead iGoogle.</p>
							<div class="lightbox" data-big="images/pluspage1.jpeg">
								<img src="images/pluspage1_tn_black.jpg" />
							</div>
							<div class="lightbox" data-big="images/pluspage2.jpg">
								<img src="images/pluspage2_tn_black.jpg" />
							</div>
							<div class="lightbox" data-big="images/pluspage3.png">
								<img src="images/pluspage3_tn_black.jpg" />
							</div>
							<br/>
							<a target="_blank" class="iconTile material-icons explore" href="https://github.com/jakobhostnik/PlusPage">explore</a>
							<br/>
							<br/>
						</div>
					</div>
					<!-- Education  -->
					<div class="w3-container w3-card-24 w3-white w3-margin-bottom">
						<h2 class="w3-text-grey w3-padding-16"><i class="material-icons w3-margin-right w3-xxlarge w3-text-teal">school</i>Education</h2>
						<div class="w3-container">
							<h5 class="w3-opacity"><b>Faculty of Computer and Information Science <br>Mathematics and Computer science</b></h5>
							<h6 class="w3-text-teal"><i class="material-icons w3-margin-right">date_range</i>2017 - <span class="w3-tag w3-round">Current</span></h6>
							<hr>
						</div>
						<div class="w3-container">
							<h5 class="w3-opacity"><b>Unofficial linux course</b></h5>
							<h6 class="w3-text-teal"><i class="material-icons w3-margin-right">date_range</i>2015</h6>
							<hr>
						</div>
						<div class="w3-container">
							<h5 class="w3-opacity"><b>Technical gymnasium</b></h5>
							<h6 class="w3-text-teal"><i class="material-icons w3-margin-right">date_range</i>2014 - 2017</h6>
							<hr>
						</div>
						<div class="w3-container">
							<h5 class="w3-opacity"><b>Primary school</b></h5>
							<h6 class="w3-text-teal"><i class="material-icons w3-margin-right">date_range</i>2005 - 2014</h6>
							<br>
						</div>
					</div>
					<!-- Meetups  -->
					<div class="w3-container w3-card-24 w3-white w3-margin-bottom">
						<h2 class="w3-text-grey w3-padding-16"><i class="material-icons w3-margin-right w3-xxlarge w3-text-teal">trending_up</i>Meetups</h2>
						<div class="w3-container">
							<h5 class="w3-opacity"><b><a href="https://www.facebook.com/events/602052740148938/">Looking for responsibility in the cyber age</a></b></h5>
							<h6 class="w3-text-teal"><i class="material-icons w3-margin-right">date_range</i>May 2018</h6>
							<hr>
						</div>
						<div class="w3-container">
							<h5 class="w3-opacity"><b><a href="https://www.meetup.com/vblatu/events/245883961/">Living on the bleeding edge of Big Data [Andrej Krevl, Stanford University]</a></b></h5>
							<h6 class="w3-text-teal"><i class="material-icons w3-margin-right">date_range</i>Jan 2018</h6>
							<hr>
						</div>
						<div class="w3-container">
							<h5 class="w3-opacity"><b><a href="https://www.meetup.com/vblatu/events/245754674/">Machine learning in the real world [Dr. Jure Leskovec, Pinterest]</a></b></h5>
							<h6 class="w3-text-teal"><i class="material-icons w3-margin-right">date_range</i>Dec 2017</h6>
							<hr>
						</div>
						<div class="w3-container">
							<h5 class="w3-opacity"><b><a href="https://www.meetup.com/OpenBlend-Slovenian-Java-User-Group/events/243269060/">Java 9 release party</a></b></h5>
							<h6 class="w3-text-teal"><i class="material-icons w3-margin-right">date_range</i>Sep 2017</h6>
							<hr>
						</div>
					</div>
					<!--  End Right Column  -->
				</div>
				<!--  End Grid  -->
			</div>
			<!--  End Page Container  -->
		</div>
		<footer class="w3-container w3-teal w3-center w3-margin-top">
		</footer>
	</body>
</html>
